# $Id:$
package BNGAgent;

use Class::Struct;
use FindBin;
use lib $FindBin::Bin;
use MoleculeTypesList;
use ParamList;
use SpeciesList;
use RxnRule;
use Observable;
use BNGUtils;
use BNGModel

# Structure containing all BioNetGen model data
struct BNGAgent=>{
  Model=>'BNGModel',
  Time=> '$',
  Concentrations=> '@',
  MoleculeTypesList=> 'MoleculeTypesList',		  
  SpeciesList=> 'SpeciesList',
  RxnList=> 'RxnList',
  RxnRules=> '@',
  ParamList=> 'ParamList',
  Observables=>'@',
  UpdateNet=>'$' # This variable is set to force update of NET file before
                   # simulation
};
